 lib/ssl/src/ssl_alert.hrl      |    4 +++-
 lib/ssl/src/ssl_connection.erl |    6 ++++++
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/lib/ssl/src/ssl_alert.hrl b/lib/ssl/src/ssl_alert.hrl
index 6470b82..c55b1d3 100644
--- a/lib/ssl/src/ssl_alert.hrl
+++ b/lib/ssl/src/ssl_alert.hrl
@@ -43,11 +43,12 @@
 %%       record_overflow(22),
 %%       decompression_failure(30),
 %%       handshake_failure(40),
+%%       no_certificate(41),
 %%       bad_certificate(42),
 %%       unsupported_certificate(43),
 %%       certificate_revoked(44),
 %%       certificate_expired(45),
-   %%       certificate_unknown(46),
+%%       certificate_unknown(46),
 %%       illegal_parameter(47),
 %%       unknown_ca(48),
 %%       access_denied(49),
@@ -69,6 +70,7 @@
 -define(RECORD_OVERFLOW, 22).
 -define(DECOMPRESSION_FAILURE, 30).
 -define(HANDSHAKE_FAILURE, 40).
+-define(NO_CERTIFICATE, 41).
 -define(BAD_CERTIFICATE, 42).
 -define(UNSUPPORTED_CERTIFICATE, 43).
 -define(CERTIFICATE_REVOKED, 44).
diff --git a/lib/ssl/src/ssl_connection.erl b/lib/ssl/src/ssl_connection.erl
index 6c06baf..d10b9b4 100644
--- a/lib/ssl/src/ssl_connection.erl
+++ b/lib/ssl/src/ssl_connection.erl
@@ -2203,6 +2203,12 @@ handle_alert(#alert{level = ?WARNING, description = ?NO_RENEGOTIATION} = Alert,
     {Record, State} = next_record(State0),
     next_state(StateName, connection, Record, State);
 
+handle_alert(#alert{level = ?WARNING, description = ?NO_CERTIFICATE} = Alert, StateName, 
+	     #state{log_alert = Log, from = From, role = Role} = State) ->
+    log_alert(Log, StateName, Alert),
+    alert_user(From, Alert, Role),
+    {stop, normal, State};
+
 handle_alert(#alert{level = ?WARNING, description = ?USER_CANCELED} = Alert, StateName, 
 	     #state{log_alert = Log} = State0) ->
     log_alert(Log, StateName, Alert),
